Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> ASPjar Guestbook SQL Injection


Vulnerability Assessment Details

ASPjar Guestbook SQL Injection

Vulnerability Assessment Summary
Searches for the existence of an SQL injection in login.asp

Detailed Explanation for this Vulnerability Assessment

The remote host is running ASPJar's GuestBook, a guestbook
application written in ASP.

The remote version of this software is vulnerable to a SQL
injection vulnerability which permits a remote attacker to
execute arbitrary SQL statements against the remote DB.

It is also vulnerable to an input validation vulnerability which
may permit a possible hacker to perform a cross site scripting attack using
the remote host.

Solution : Delete this application.
Network Security Threat Level: Medium

Networks Security ID: 12521, 12823

Vulnerability Assessment Copyright: This script is Copyright (C) 2005 Noam Rathaus

Cables, Connectors

IBM Netezza Database Accelerator Blade 00J1657 +Board 68Y8186 7870-AC1 2xQC 24GB
$176.0
IBM Netezza Database Accelerator Blade 00J1657 +Board 68Y8186 7870-AC1 2xQC 24GB pictureIBM HS22 BLADECENTER SERVER TWO E5506 2.13GHZ 96GB 600GB 10K SAS
$1129.0
IBM HS22 BLADECENTER SERVER TWO E5506 2.13GHZ 96GB 600GB 10K SAS pictureIBM DX360 M3 SERVER TWO E5640 2.66GHZ 32GB 3 X 250GB SATA 2 X TESLA M1060 CONNEC
$1469.0
IBM DX360 M3 SERVER TWO E5640 2.66GHZ 32GB 3 X 250GB SATA 2 X TESLA M1060 CONNEC pictureIBM HS22 BLADECENTER SERVER TWO X5650 2.66GHZ 8GB 146GB 15K SAS
$1139.0
IBM HS22 BLADECENTER SERVER TWO X5650 2.66GHZ 8GB 146GB 15K SAS picture


Discussions

No Discussions have been posted on this vulnerability.